Bug 471432 - unable to unmount usb stick: DBus error org.gtk.Private.RemoteVolumeMonitor.NotFound
unable to unmount usb stick: DBus error org.gtk.Private.RemoteVolumeMonitor.N...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F10Target
  Show dependency treegraph
 
Reported: 2008-11-13 12:45 EST by Charles R. Anderson
Modified: 2015-03-03 17:33 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:50:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of error (15.76 KB, image/png)
2008-11-13 14:12 EST, Charles R. Anderson
no flags Details

  None (edit)
Description Charles R. Anderson 2008-11-13 12:45:22 EST
Description of problem:

I can't unmount a USB stick from the Nautilus window.

Version-Release number of selected component (if applicable):
nautilus-2.24.1-3.fc10.i386

How reproducible:
always

Steps to Reproduce:
1. insert a USB flash drive
2. when the Nautilus window pops up, click File->Unmount
  
Actual results:
see attached image

Unable to unmount 1.0 GB Media

DBus error
org.gtk.Private.RemoteVolumeMonitor.NotFound: The given mount was not found

Expected results:
no error
Comment 1 Charles R. Anderson 2008-11-13 14:12:52 EST
Created attachment 323489 [details]
screenshot of error
Comment 2 Bug Zapper 2008-11-26 00:19:45 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Pete 2009-04-11 23:08:10 EDT
I am not sure if this is the correct place to put this but a search reported only one result when searching for org.gtk.Private.RemoteVolumeMonitor.NotFound .  Apologies if it's not. For as much as I use fedora, I have decided to try and be more actively involved in the community.

I have downloaded and installed Fedora 11 Beta. (Fedora release 10.92 (Rawhide))

When I insert a usb thumb drive with a Fat 32 partition and a ext3 partition, I get a pop up error message immediately after plugging it in that states, "Unable to mount 8.1 MB Filesystem -- DBus error org.gtk.Private.RemoteVolumeMonitor.NotFound: The given volume was not found" and neither partition is mounted, a dmesg reports the following...

sd 5:0:0:0: [sdb] 8060927 512-byte hardware sectors: (4.12 GB/3.84 GiB)
sd 5:0:0:0: [sdb] Write Protect is off
sd 5:0:0:0: [sdb] Mode Sense: 00 00 00 00
sd 5:0:0:0: [sdb] Assuming drive cache: write through
 sdb:Dev sdb: unable to read RDB block 0
 unable to read partition table

This repeats (in dmesg) over 150 times in a few minutes.  The same thing happens with external usb HD's, and other usb keys with only one partition that is ext3 formated. (though does not cause a pop up error)

/var/log/messages contains the same repeating lines, 5 or more per second until the thumb drive is removed.

Apr 11 22:59:46 localhost usb_id[20455]: unable to access '/devices/pci0000:00/0000:00:1d.7/usb2/2-2/2-2:1.0/host5/target5:0:0/5:0:0:0/block/sdb'

Fedora 10 functioned perfectly on the same laptop (Lenovo T61p).  Is there any additional information I can provide?

Regards,
Pete
Comment 4 Tomáš Bžatek 2009-04-15 08:52:10 EDT
(In reply to comment #3)
> I have downloaded and installed Fedora 11 Beta. (Fedora release 10.92
> (Rawhide))

Pete, F11 Beta uses GduVolumeMonitor instead of HAL, better to open separate bug. Please also specify gvfs version there and attach output of `devkit-disks --dump`.
Comment 5 Bug Zapper 2009-11-18 03:51:19 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-12-18 01:50:28 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.